Bug 99892 - EDITING: file save as xslx (with space at end of subscript text) gives error when opening in Excel
Summary: EDITING: file save as xslx (with space at end of subscript text) gives error ...
Status: RESOLVED DUPLICATE of bug 96912
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2016-05-16 18:56 UTC by vlb
Modified: 2016-05-28 12:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
tekst file (15.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-05-16 18:56 UTC, vlb
Details
test file XSLX 5.1.3.2 (5.18 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-05-19 14:39 UTC, vlb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vlb 2016-05-16 18:56:10 UTC
Created attachment 125099 [details]
tekst file

wi 10 64 bits Lo 5.3.1.2

I have test in LO 3.5.7 and 3.6.7 and didn't give error reports.
I have test in LO 4.06 and 5.1.3.2 and is bug present.

In the file i have in cell a1 and a2 wrong text posted wat give a error by save to xslx and open in excel.
In A10 and A11 the text that didn't give a error.
The difference in the text is only there is a space behind a supscript text.

To reproduce error reports:

1) open file "tekst"
2) save as *.xslx and close
3) open in excel and see error reports

Didn't reproduce error reports:

1) open file "tekst"
2) delete cell A1 and A2
2) save as *.xslx and close
3) open in excel and the file is correct
Comment 1 Cor Nouws 2016-05-16 21:01:35 UTC
Thanks for filing and explaining Frank.
I confirm the following:

- save as xlsx in 5.1.2.2 and open in Excel  >> Error message. But file can be properly 'repaired'
- save as xlsx in 5.2 master (daily 20160507) and open in Excel >> no error.

My config:
Version: 5.2.0.0.alpha1+
Build ID: 52871b360c73efd59bfbc811b8b89a02b6375b29
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-05-07_00:52:43
Locale: nl-NL (nl_NL.UTF-8)

So maybe it is resolved in 5.2. master. Or maybe in Linux (32 bits) only?
Comment 2 vlb 2016-05-16 21:25:34 UTC
I can confirm that the error isn't in 5.2.0 wi 10 (64 bits)
Versie: 5.2.0.0.alpha1  (x64)
Build ID: 902b28a39528b6c92602e9b521a1d0861be1caf9
CPU Threads: 8; Versie besturingssysteem:Windows 6.19; UI Render: standaard; 
Locale: nl-NL (nl_NL)

In versie 5.1.4 is the error present.
Version: 5.1.4.0.0+
Build ID: 33fe9e6da9241aacac6816cbb5211f4d5fa7fba1
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-1, Time: 2016-05-13_06:46:34
Locale: nl-NL (nl_NL)
Comment 3 vlb 2016-05-16 21:46:01 UTC
(In reply to Cor Nouws from comment #1)
> Thanks for filing and explaining Frank.
> I confirm the following:

> - save as xlsx in 5.1.2.2 and open in Excel  >> Error message. But file can
> be properly 'repaired'

In this file can repair, but in a big file it delete already conditional formatting. You didn't trust the file any more.
Comment 4 Cor Nouws 2016-05-17 15:43:43 UTC
could this be bibisected against 4.0 - 5.1 ?

@eike: maybe an idea what caused the problem in 4.0 - 5.1 / repaired it in 5.2 ?
Comment 5 Eike Rathke 2016-05-19 11:14:25 UTC
Bubli did some work on text runs, likely that fixed it. On Cc.
Comment 6 Katarina Behrens (Inactive) 2016-05-19 12:04:26 UTC
Can some1 please attach xlsx export of the bug file 'broken' by 5.1.X ?  So I can make some comparison, I don't have any 5.1.X build readily available ...
Comment 7 vlb 2016-05-19 14:39:34 UTC
Created attachment 125171 [details]
test file XSLX 5.1.3.2
Comment 8 vlb 2016-05-28 11:33:24 UTC
Is it possible to solve this bug for LO 5.1.*?
Comment 9 Katarina Behrens (Inactive) 2016-05-28 12:15:18 UTC
In fact, this is a duplicate and this is the patch that needs to be backported: http://cgit.freedesktop.org/libreoffice/core/commit/?id=8aa853b2365430558693a32aa23825e199543cf9

*** This bug has been marked as a duplicate of bug 96912 ***
Comment 10 vlb 2016-05-28 12:20:39 UTC
Howe can it solve for 5.1.4?
Comment 11 Katarina Behrens (Inactive) 2016-05-28 12:48:21 UTC
I've cherry-picked the patch to 5.1, it waits for someone to pick it out of the review queue here: https://gerrit.libreoffice.org/#/c/25580/ 

That's likely goin' to happen beginning of the next week, before 5.1.4 rc1 is out.
Comment 12 vlb 2016-05-28 12:53:10 UTC
@ Katarina  - Thanks for your help on this and solving the bug!